var extractFbPath = require('../extract-fb-path');
var resize = require('../resize');

module.exports = {
  name: 'change-input-checkbox',
  event: 'change',
  selector: 'input[type=checkbox][data-path]',
  handler: function(e) {
    var fbPath = extractFbPath(e.target);
    var fbRoot = this.lookupFbRoot(fbPath);
    fbRoot.dataRef.child(fbPath.path).set(e.target.checked ? 1 : 0);
  }
};