var extractFbPath = require('../extract-fb-path');

module.exports = {
  name: 'click-button-add',
  event: 'click',
  selector: '[data-action=add][data-path]',
  handler: function(e) {
    var fbPath = extractFbPath(e.target);
    var fbRoot = this.lookupFbRoot(fbPath);

    // To Force a full DOM rebuild
    fbRoot.oldData = null;

    fbRoot.dataRef.child(fbPath.path).push({
      added: Date.now()
    });


  }
};