var extractFbPath = require('../extract-fb-path');

module.exports = {
  name: 'click-button-remove',
  event: 'click',
  selector: '[data-action=remove][data-path]',
  handler: function(e) {
    var self = this;
    if (confirm('Are you sure?')) {
      var fbPath = extractFbPath(e.target, 'path');
      var fbRoot = this.lookupFbRoot(fbPath);

      // To Force a Full DOM rebuild
      fbRoot.oldData = null;

      fbRoot.dataRef.child(fbPath.path).remove(function() {
        fbRoot.uploadsRef.child(fbPath.path).remove();
      });
    }
  }
};