var extractFbPath = require('../extract-fb-path');

module.exports = {
  name: 'click-img',
  event: 'click',
  selector: 'img[data-path]',
  handler: function(e) {
    var fbPath = extractFbPath(e.target);
    var fbRoot = this.lookupFbRoot(fbPath);

    fbRoot.uploadsRef.child(fbPath.path + '/raw').once('value', function(snapshot) {
      var src = snapshot.val();
      window.open(src, '_blank');
    });
  }
};
