var extractFbPath = require('../extract-fb-path');

module.exports = {
  name: 'change-input-date',
  event: 'change',
  selector: 'input[type=date][data-path]',
  handler: function(e) {
    var fbPath = extractFbPath(e.target);
    var fbRoot = this.lookupFbRoot(fbPath);
    var valueRef = fbRoot.dataRef.child(fbPath.path);

    var value = e.target.value;
    if (value === '') {
      valueRef.remove();
    } else {
      valueRef.set(Number(value));
    }
  }
};
